%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name Authen-TacacsPlus

Summary: Perl module that provides simple Tacacs+ client facilities
Name: perl-Authen-TacacsPlus
Version: 0.24
Release: 2.1
License: Artistic
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Authen-TacacsPlus/

Source: Authen-TacacsPlus-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: perl
BuildRequires: perl(ExtUtils::MakeMaker)
Requires: perl

%description
Authen::TacacsPlus is a perl module that provides simple Tacacs+ client facilities.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes MANIFEST README
%doc %{_mandir}/man3/Authen::TacacsPlus.3pm*
%dir %{perl_vendorarch}/Authen/
%{perl_vendorarch}/Authen/TacacsPlus.pm
%dir %{perl_vendorarch}/auto/Authen
%dir %{perl_vendorarch}/auto/Authen/TacacsPlus
%{perl_vendorarch}/auto/Authen/TacacsPlus/TacacsPlus.*
%changelog
* Mon Aug  4 2014 cs@linux-administrator.com
- initial import
